package com.yuchen.saas.park.service.service.fire.inspect;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.fire.inspect.FireInspectLocationReqDTO;
import com.yuchen.saas.park.api.dto.fire.inspect.FireInspectLocationSubmitReqDTO;
import com.yuchen.saas.park.api.entity.fire.inspect.SaasParkFireInspectLocation;
import com.yuchen.saas.park.api.vo.fire.inspect.FireInspectLocationVO;
import org.nest.springwrap.core.mp.support.NestPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhouhanwei
 * @since 2024-04-01
 */
public interface ISaasParkFireInspectLocationService extends IService<SaasParkFireInspectLocation> {

    NestPage<FireInspectLocationVO> findFireInspectLocationPage(FireInspectLocationReqDTO reqDTO);

    List<FireInspectLocationVO> findFireInspectLocationList(List<Long> locationIds);

    FireInspectLocationVO getFireInspectLocationById(Long inspectLocationId);

    Boolean addFireInspectLocation(FireInspectLocationSubmitReqDTO reqDTO);

    Boolean editFireInspectLocation(FireInspectLocationSubmitReqDTO reqDTO);

    Boolean removeFireInspectLocation(Long inspectLocationId);
}
